// @import "~material-design-icons-iconfont/dist/material-design-icons.css";
@import "top_card/index.scss";

.main_view {
  height: 35vh;
  background-size: 100%;
  position: relative;
  z-index: 4;
}

.main_slider {
  height: 65vh;
}

.slide_frame {
  height: 100%;
}

.VueCarousel-wrapper {
  height: 100%;
  overflow: hidden;
}
.VueCarousel-inner {
  height: 100%;
}

.VueCarousel-pagination {
  top: 13px;
  position: absolute;
}

.slide_title {
  text-align: center;
  width: 100%;
  display: block;
  font-size: 24px;
  position: relative;
  z-index: 5;
}

.slider_contetn {
  margin-top: 10px;
  height: calc(65vh - 50px);
  overflow: scroll;
}

.slide_card {
  padding: 6px;
  border-radius: 10px;
  border: 1px solid #eeeeee;
  background: #f8f8f8;
  margin-bottom: 10px;
}

.slider_card__type {
  color: #6b6b6b;
  text-transform: uppercase;
  font-size: 0.9em;
  font-weight: bold;
}
.slider_card__name {
  color: #393939;
  font-size: 1em;
  margin-top: 5px;
  font-weight: bold;
  margin-bottom: 4px;
}
.slider_card__adress {
  color: #a8a8a8;
  margin-top: 5px;
  font-size: 0.9em;
}

.main_view__top_navigation {
  position: absolute;
  width: 100%;
  padding-left: 8px;
}

.here-map-frame {
  position: absolute;
  width: 100%;
  height: 100vh;
  top: -65px;
  height: calc(65vh + 65px);
}

.here_map_frame__gradient {
  background: linear-gradient(
    to bottom,
    white 0px,
    white 85px,
    rgba(255, 255, 255, 0) 175px
  );
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 4;
}

.dialog_buttons {
  position: absolute;
  bottom: 10px;
  width: 100%;
  z-index: 2;
  text-align: center;
}

.transperent_dark_button {
  background: rgba(0, 0, 0, 0.4);
}

.card_icon {
  width: 24px;
  margin-right: 4px;
}

.full_map_route {
  width: 100%;
  position: absolute;
  top: 0px;
  z-index: 2;
  background: white;
  padding-bottom: 48px;
}

.route_item {
  padding: 10px 0px 10px;
}

.full_map_route_container {
  max-height: 40vh;
  overflow: scroll;
  transition: max-height 0.3s ease-in-out;
}

.full_map_route_container.less {
  max-height: 0vh;
}

.fullmap_button_open {
  width: 100%;
  position: absolute;
  bottom: 0px;
}
